How to downgrade from rails 2.0.2

Somehow I have ended up with v2.0.2 on my Mac. I am running Leopard so am not sure whether this version came with it. Here are the various versions of components:

macfizz$ rails -v
Rails 2.0.2
macfizz$ ruby -v
ruby 1.8.6 (2007-09-24 patchlevel 111) [universal-darwin9.0]
macfizz$ gem -v
1.0.1
macfizz$

Anyway, for various reasons I'm not that happy with 2.0.2 and want to downgrade my entire installation to where it was working nicely. I don't know either the version numbers I need (though I think I am looking for v 1.8.x of Rails and whatever goes with that)

Can anyone point me to suitable documentation for doing this?

Thanks,

macfizz

macfizz wrote:

Anyway, for various reasons I'm not that happy with 2.0.2 and want to downgrade my entire installation to where it was working nicely. I don't know either the version numbers I need (though I think I am looking for v 1.8.x of Rails and whatever goes with that)

   $ gem search -r rails
   ...
   rails (2.0.2, 2.0.1, 2.0.0, 1.2.6, 1.2.5...

Then:

   gem install rails v=1.2.6

Then edit config/environment.rb like this:

#RAILS_GEM_VERSION = '2.0.2'
RAILS_GEM_VERSION = '1.2.6'

Run all your tests. (You do _have_ tests, right?)

If any test fails, pass it, switch back to 2.0.2, and integrate. (That means pass all tests, then copy your code to your version controller.) Keep switching back and forth until all tests pass in both versions, and manual tests pass. Then stay with 1.2.6.